# TransformProgressEvent

interface TransformProgressEvent : ProgressEvent

Root interface for all events that signal progress while executing a transform.

#### Since

5.1

#### Inheritors

TransformFinishEvent
TransformStartEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): TransformOperationDescriptor
Returns the description of the transform for which progress is reported.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long